var Relay1 = IR.CreateDevice(IR.DEVICE_CUSTOM_STREAM, "Relay 1", {FileName:'/sys/class/gpio/gpio2/value'});    // Открыть шлагбаум
var Relay2 = IR.CreateDevice(IR.DEVICE_CUSTOM_STREAM, "Relay 2", {FileName:'/sys/class/gpio/gpio3/value'});    // Перекидное шлагбаум
var Relay3 = IR.CreateDevice(IR.DEVICE_CUSTOM_STREAM, "Relay 3", {FileName:'/sys/class/gpio/gpio4/value'});    // Закрыть шлагбаум
var Relay4 = IR.CreateDevice(IR.DEVICE_CUSTOM_STREAM, "Relay 4", {FileName:'/sys/class/gpio/gpio14/value'});   // Открыть/Закрыть роллету
var Relay5 = IR.CreateDevice(IR.DEVICE_CUSTOM_STREAM, "Relay 5", {FileName:'/sys/class/gpio/gpio15/value'});   // Открыть ворота
var Relay6 = IR.CreateDevice(IR.DEVICE_CUSTOM_STREAM, "Relay 6", {FileName:'/sys/class/gpio/gpio17/value'});   // Закрыть ворота
var Relay7 = IR.CreateDevice(IR.DEVICE_CUSTOM_STREAM, "Relay 7", {FileName:'/sys/class/gpio/gpio18/value'});   // Arm/Disarm
var Relay8 = IR.CreateDevice(IR.DEVICE_CUSTOM_STREAM, "Relay 8", {FileName:'/sys/class/gpio/gpio27/value'});   // Включить/Выключить нижний свет
var Relay9 = IR.CreateDevice(IR.DEVICE_CUSTOM_STREAM, "Relay 9", {FileName:'/sys/class/gpio/gpio22/value'});   // Включить/Выключить средний свет
var Relay10 = IR.CreateDevice(IR.DEVICE_CUSTOM_STREAM, "Relay 10", {FileName:'/sys/class/gpio/gpio23/value'}); // Включить/Выключить верхний свет
var Relay11 = IR.CreateDevice(IR.DEVICE_CUSTOM_STREAM, "Relay 11", {FileName:'/sys/class/gpio/gpio24/value'}); // 
var Relay12 = IR.CreateDevice(IR.DEVICE_CUSTOM_STREAM, "Relay 12", {FileName:'/sys/class/gpio/gpio10/value'}); //
var Relay13 = IR.CreateDevice(IR.DEVICE_CUSTOM_STREAM, "Relay 13", {FileName:'/sys/class/gpio/gpio9/value'});  //
var Relay14 = IR.CreateDevice(IR.DEVICE_CUSTOM_STREAM, "Relay 14", {FileName:'/sys/class/gpio/gpio25/value'}); //
var Relay15 = IR.CreateDevice(IR.DEVICE_CUSTOM_STREAM, "Relay 15", {FileName:'/sys/class/gpio/gpio11/value'}); //
var Relay16 = IR.CreateDevice(IR.DEVICE_CUSTOM_STREAM, "Relay 16", {FileName:'/sys/class/gpio/gpio8/value'});  //
var Relay17 = IR.CreateDevice(IR.DEVICE_CUSTOM_STREAM, "Relay 17", {FileName:'/sys/class/gpio/gpio5/value'});  //
var Relay18 = IR.CreateDevice(IR.DEVICE_CUSTOM_STREAM, "Relay 18", {FileName:'/sys/class/gpio/gpio7/value'});  //
var Sensor1 = IR.CreateDevice(IR.DEVICE_CUSTOM_STREAM, "Sensor 1", {FileName:'/sys/class/gpio/gpio21/value'}); // Шлагбаум открыт
var Sensor2 = IR.CreateDevice(IR.DEVICE_CUSTOM_STREAM, "Sensor 1", {FileName:'/sys/class/gpio/gpio20/value'}); // Шлагбаум закрыт
var Sensor3 = IR.CreateDevice(IR.DEVICE_CUSTOM_STREAM, "Sensor 1", {FileName:'/sys/class/gpio/gpio26/value'}); // Роллета открыта
var Sensor4 = IR.CreateDevice(IR.DEVICE_CUSTOM_STREAM, "Sensor 1", {FileName:'/sys/class/gpio/gpio16/value'}); // Роллета закрыта
var Sensor5 = IR.CreateDevice(IR.DEVICE_CUSTOM_STREAM, "Sensor 1", {FileName:'/sys/class/gpio/gpio19/value'}); // Состояние ворот

IR.AddListener(IR.EVENT_TAG_CHANGE, IR.GetServer(), function(name,value)
{
    IR.Log("Relay name: " + name);
    switch(name){
    case "Relay 1": 
        Relay1.Send([value.toString()]);
        break;
    case "Relay 2": 
        Relay2.Send([value.toString()]);
        break;
    case "Relay 3": 
        Relay3.Send([value.toString()]);
        break;
    case "Relay 4": 
        Relay4.Send([value.toString()]);
        break;
    case "Relay 5": 
        Relay5.Send([value.toString()]);
        break;
    case "Relay 6": 
        Relay6.Send([value.toString()]);
        break;
    case "Relay 7": 
        Relay7.Send([value.toString()]);
        break;
    case "Relay 8": 
        Relay8.Send([value.toString()]);
        break;
    case "Relay 9": 
        Relay9.Send([value.toString()]);
        break;
    case "Relay 10": 
        Relay10.Send([value.toString()]);
        break;
    case "Relay 11": 
        Relay11.Send([value.toString()]);
        break;
    case "Relay 12": 
        Relay12.Send([value.toString()]);
        break;
    case "Relay 13": 
        Relay13.Send([value.toString()]);
        break;
    case "Relay 14": 
        Relay14.Send([value.toString()]);
        break;
    case "Relay 15": 
        Relay15.Send([value.toString()]);
        break;
    case "Relay 16": 
        Relay16.Send([value.toString()]);
        break;
    case "Relay 17": 
        Relay17.Send([value.toString()]);
        break;
    case "Relay 18": 
        Relay18.Send([value.toString()]);
        break;                                            
    }       
});

IR.AddListener(IR.EVENT_RECEIVE_TEXT, Sensor1, function(value)
{
IR.Log("Recieve value Sensor1: " + value);
});

IR.AddListener(IR.EVENT_RECEIVE_TEXT, Sensor2, function(value)
{
IR.Log("Recieve value Sensor2: " + value);
});

IR.AddListener(IR.EVENT_RECEIVE_TEXT, Relay1, function(value)
{
IR.Log("Recieve value Relay1: " + value);
});

IR.AddListener(IR.EVENT_RECEIVE_TEXT, Relay2, function(value)
{
IR.Log("Recieve value Relay2: " + value);
});

